%Cálculo del Histograma de una imagen

A=imread('_im_luna_color.jpg');
A=double(A);
A=round((A(:,:,1)+A(:,:,2)+A(:,:,3))/3);
%visualiza sin Toolbox de Imagenes

imshow(A,[]);

disp('Presione una tecla...');pause

[nf nc]=size(A);
H=zeros(1,256);
for f=1:nf
   for c=1:nc
      H(A(f,c)+1)=H(A(f,c)+1)+1;
   end;
end;

plot(H(10:256));%ojo se muestra solo desde 10..